Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.business.intrahubcommons.exception
Enum IntraHubBusinessConnectorExceptionValues

    java.lang.Object
      java.lang.Enum<IntraHubBusinessConnectorExceptionValues>
          be.ehealth.business.intrahubcommons.exception.IntraHubBusinessConnectorExceptionValues

All Implemented Interfaces:
  Serializable, Comparable<IntraHubBusinessConnectorExceptionValues>

    public enum IntraHubBusinessConnectorExceptionValues

extends Enum<IntraHubBusinessConnectorExceptionValues>

Enumeration of values for `IntraHubBusinessConnectorException`

Enum Constant Summary
`ERROR` Property not defined : {0}
`MALFORMED_XML` Malformed XML
`PROPERTY_UNKNOWN` Property not defined : {0}
`VALIDATION_ERROR` Could not validate incoming message: {0}

Method Summary
`String` | `getErrorCode()`
`String` | `getMessage()`
`static IntraHubBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IntraHubBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MALFORMED_XML

    public static final IntraHubBusinessConnectorExceptionValues MALFORMED_XML

  Malformed XML

### VALIDATION_ERROR

    public static final IntraHubBusinessConnectorExceptionValues VALIDATION_ERROR

  Could not validate incoming message: {0}

### PROPERTY_UNKNOWN

    public static final IntraHubBusinessConnectorExceptionValues PROPERTY_UNKNOWN

  Property not defined : {0}

### ERROR

    public static final IntraHubBusinessConnectorExceptionValues ERROR

  Property not defined : {0}

Method Detail

### values

    public static IntraHubBusinessConnectorExceptionValues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IntraHubBusinessConnectorExceptionValues c : IntraHubBusinessConnectorExceptionValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IntraHubBusinessConnectorExceptionValues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getErrorCode

    public String getErrorCode()

  Returns:
    the errorCode

### getMessage

    public String getMessage()

  Returns:
    the errorMessage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.